{ ... }:
  let
    userName = "luci";
    email = "luci@fosscat.com";
    hostName = "luci";
  in
{
  imports = [
      ./nixos/hardware-configuration.nix
      ../../shared/nix-gc.nix
      ../../shared/server-configuration.nix
  ];

  serverConfig = {
    userName = userName;
    hostName = hostName;
    hostId = "09e1d908";
    email = email;
    sshEnable = true;
    nfsEnable = true;
    nfsRoot = "/nfs_export";
    nfsExports = [ "/kage" ];
    nfsIpExport = "192.168.1.1/24";
    syncthingEnable = true;
    caldavEnable = true;
    flakePath = "/home/${userName}/nixos";
  };

  # deskCfg = {
  #     userName = userName;
  #     hostName = hostName;
  #     de = desktop;
  #     installGaming = gaming;
  # };

  nixGc.enable = true;
}
